export interface TableDependOneProps {
    from: {
        container: HTMLElement;
        elementSelector: string;
    };
    to: {
        container: HTMLElement;
        elementSelector: string;
        format?: string;
    };
    emptyAlert: string;
}
export default class TableDependOne {
    protected props: TableDependOneProps;
    static create(props: TableDependOneProps): TableDependOne;
    constructor(props: TableDependOneProps);
    beforeAppendTo(ev: Event): void;
    afterAddTo(ev: Event): void;
    afterAppendFrom(ev: Event): void;
    afterDeleteFrom(ev: Event): void;
    afterOneVisible(ev: Event): void;
}
